import { Component } from '@angular/core';
import { AlbumService } from '../album/album.service'; // 替换为实际的路径

@Component({
  selector: 'app-album',
  templateUrl: 'album.page.html',
  styleUrls: ['album.page.scss'],
})
export class AlbumPage {
  constructor(private albumService: AlbumService) {}

  get albumPhotos() {
    return this.albumService.getAlbumPhotos();
  }

  addPhoto() {
    const newPhoto = {
      imageUrl: 'assets/image/tx1.jpg'
    };
    this.albumService.addPhoto(newPhoto);
  }
}